Get order

GET

GET https://external-api.lia.com.br/external_api/v1/orders/:id

Example request

curl --location 'https://external-api-sandbox.lia.com.br/external_api/v1/orders/80509ba1-fb93-5b12-b055-03de830e97a9' \
--header 'Authorization: Bearer token'

Example response

{
    "address": {
        "city": {
            "ibge_code": "3471",
            "id": "77b764ad-53d4-5630-bed3-ab106036ebe1",
            "name": "Santana do Araguaia",
            "state": {
                "acronym": "SP",
                "id": "50405e03-46a1-5b31-8ed1-d08167af85f6",
                "name": "São Paulo"
            },
            "state_id": "50405e03-46a1-5b31-8ed1-d08167af85f6"
        },
        "complement": "Sem complementos",
        "id": "4eebc118-6201-5824-a9fd-ad03ff1bf896",
        "neighborhood": "Centro",
        "number": "100",
        "street": "Rua Exemplo",
        "zipcode": "35900000"
    },
    "amount_cents": 200000,
    "analyses": [
        {
            "created_at": "2024-05-13T18:05:35.765-03:00",
            "denied_reason": null,
            "id": "275cba72-bf89-511f-88cb-792299920c54",
            "kind": "identity",
            "status": "approved"
        },
        {
            "created_at": "2024-05-13T18:05:36.046-03:00",
            "denied_reason": null,
            "id": "ea824377-f607-5080-939d-5edcde16ba5b",
            "kind": "defaulting_customer",
            "status": "approved"
        }
    ],
    "billings": [
        {
            "amount_cents": 200000,
            "amount_currency": "BRL",
            "bills": [
                {
                    "amount_cents": 10243,
                    "authentication_code": null,
                    "bill_details": [],
                    "bill_type": "installment",
                    "billing": {
                        "amount_cents": 200000,
                        "amount_currency": "BRL",
                        "cancelation_reason": "down_payment_not_paid",
                        "created_at": "2023-11-29T10:32:42.915-03:00",
                        "due_day": 10,
                        "finished_at": "2023-12-12T21:00:50.271-03:00",
                        "id": "bd3b3350-7c67-5b7e-be5c-e6fdd6748213",
                        "installments": 1,
                        "order_id": "b72db961-6a94-5168-8689-30d8fcd55409",
                        "origin_billing_id": null,
                        "status": "canceled",
                        "updated_at": "2023-12-12T21:00:50.360-03:00"
                    },
                    "checkout_url": "https://pague-sandbox.lia.com.br/parcela/pagamento?bill_id=420239ab-1579-5ffe-a17f-0f870e029468",
                    "created_at": "2023-11-29T10:32:42.931-03:00",
                    "current_amount_cents": 10750,
                    "disable_penalties_until": null,
                    "due_date": "2023-11-30T10:32:42.918-03:00",
                    "effective_due_date": "2023-11-30T10:32:42.918-03:00",
                    "id": "420239ab-1579-5ffe-a17f-0f870e029468",
                    "metadata": {},
                    "original_amount_cents": 10000,
                    "paid_at": null,
                    "payments": [
                        {
                            "amount_cents": 10000,
                            "barcode": "00000.00000 00000.000000 00000.000000 0 00000000000000",
                            "barcode_image_url": "https://platform-api-sandbox.lia.com.br/barcode_image",
                            "bill_id": "420239ab-1579-5ffe-a17f-0f870e029468",
                            "created_at": "2023-11-29T10:32:42.957-03:00",
                            "expires_at": "2023-12-02T10:32:42.952-03:00",
                            "id": "f497139f-ed78-538b-9d0d-6939ffcbbbff",
                            "installments": 1,
                            "paid_amount_cents": 0,
                            "paid_at": null,
                            "payment_method": "boleto",
                            "refunded_amount_cents": 0,
                            "refunded_at": null,
                            "refused_reason": null,
                            "refused_reason_description": null,
                            "status": "unpaid",
                            "url": "https://pague-sandbox.lia.com.br/parcela/pagamento?bill_id=420239ab-1579-5ffe-a17f-0f870e029468"
                        }
                    ],
                    "status": "canceled",
                    "updated_at": "2023-12-12T21:00:50.148-03:00"
                }
            ],
            "cancelation_reason": "down_payment_not_paid",
            "created_at": "2023-11-29T10:32:42.915-03:00",
            "due_day": 10,
            "finished_at": "2023-12-12T21:00:50.271-03:00",
            "id": "bd3b3350-7c67-5b7e-be5c-e6fdd6748213",
            "installments": 1,
            "order_id": "b72db961-6a94-5168-8689-30d8fcd55409",
            "origin_billing_id": null,
            "payment_configuration": {
                "allowed_down_payment_methods": [],
                "availability": "enabled",
                "down_payment_interest_rate": null,
                "down_payment_type": null,
                "down_payment_value": 0.0,
                "expires_in": 12,
                "fee_embedded_in_down_payment": false,
                "financed_type": null,
                "id": "f3a6410d-f1eb-589e-915a-50a9f5e8aa58",
                "interest_rate": 0.0,
                "max_down_payment_installments": null,
                "max_installments": 1,
                "min_installment_amount_cents": 5000,
                "payment_methods": [
                    "boleto"
                ],
                "payment_type": "upfront",
                "registration_fee": 0.0,
                "take_rate_type": "absolute",
                "take_rate_value": 297.0
            },
            "status": "canceled",
            "updated_at": "2023-12-12T21:00:50.360-03:00"
        }
    ],
    "cancelation_reason": "down_payment_not_paid",
    "checkout_type": "default",
    "created_at": "2023-11-29T10:32:42.856-03:00",
    "customer_birthdate": "1990-01-01",
    "customer_document": "01234567890",
    "customer_name": "The Great Customer",
    "customer_type": "person",
    "email": {
        "address": "test@example.com",
        "contact_type": "email",
        "created_at": "2023-11-29T10:32:42.878-03:00",
        "id": "056a62f7-97fb-553a-862e-35f1e7b8ebec",
        "purpose": "communication",
        "updated_at": "2024-04-09T08:50:56.813-03:00",
        "validated": false
    },
    "finished_at": null,
    "id": "b72db961-6a94-5168-8689-30d8fcd55409",
    "metadata": {},
    "offer": {
        "amount_cents": 100000,
        "amount_currency": "BRL",
        "availability": "enabled",
        "checkout_type": "default",
        "created_at": "2023-11-29T10:32:42.765-03:00",
        "id": "bdeebdb0-851e-5983-a63e-7b2668f12f50",
        "name": "Padrão",
        "payment_configurations": [
            {
                "allowed_down_payment_methods": [],
                "availability": "enabled",
                "down_payment_interest_rate": null,
                "down_payment_type": null,
                "down_payment_value": 0.0,
                "expires_in": 12,
                "fee_embedded_in_down_payment": false,
                "financed_type": null,
                "id": "a3dc85da-00a7-5eca-bea4-a753ea5abc49",
                "interest_rate": 0.0,
                "max_down_payment_installments": null,
                "max_installments": 1,
                "min_installment_amount_cents": 5000,
                "payment_methods": [
                    "pix"
                ],
                "payment_type": "upfront",
                "registration_fee": 0.0,
                "take_rate_type": "absolute",
                "take_rate_value": 297.0
            },
            {
                "allowed_down_payment_methods": [],
                "availability": "enabled",
                "down_payment_interest_rate": null,
                "down_payment_type": null,
                "down_payment_value": 0.0,
                "expires_in": null,
                "fee_embedded_in_down_payment": false,
                "financed_type": null,
                "id": "f10453af-9a9e-5637-914f-e531582ed377",
                "interest_rate": 0.028,
                "max_down_payment_installments": null,
                "max_installments": 12,
                "min_installment_amount_cents": 5000,
                "payment_methods": [
                    "credit_card"
                ],
                "payment_type": "upfront",
                "registration_fee": 0.0,
                "take_rate_type": "percentage",
                "take_rate_value": 0.0297
            },
            {
                "allowed_down_payment_methods": [
                    "boleto",
                    "pix",
                    "credit_card"
                ],
                "availability": "enabled",
                "down_payment_interest_rate": 0.028,
                "down_payment_type": "percentage",
                "down_payment_value": 0.1,
                "expires_in": 12,
                "fee_embedded_in_down_payment": false,
                "financed_type": null,
                "id": "ed683267-5ca4-5b6a-8567-6c097a46846f",
                "interest_rate": 0.028,
                "max_down_payment_installments": 12,
                "max_installments": 24,
                "min_installment_amount_cents": 5000,
                "payment_methods": [
                    "boleto",
                    "credit_card",
                    "pix"
                ],
                "payment_type": "financed",
                "registration_fee": 0.0197,
                "take_rate_type": "percentage",
                "take_rate_value": 0.0897
            }
        ],
        "product": {
            "access_period": "lifetime",
            "availability": "enabled",
            "banner_url": null,
            "company_id": "10d95971-868c-517a-9354-8a2b8905fccd",
            "created_at": "2023-11-29T10:32:42.753-03:00",
            "description": "Produto da alegria.",
            "duration_in_days": null,
            "duration_in_hours": 12,
            "end_date": null,
            "formatted_access_period": "Vitalício",
            "full_amount_cents": 100000,
            "full_amount_currency": "BRL",
            "google_pixel_code": null,
            "id": "d41d3b70-7ecc-5b50-89de-6658595cc1ae",
            "kind": {
                "id": "47b593d4-68ec-55b1-acd4-6273bfd6d445",
                "name": "Curso"
            },
            "meta_pixel_code": null,
            "metadata": {},
            "name": "Produto Exemplo",
            "shift": {
                "id": "3def779a-1247-532e-ac4b-1cb861ce9ce0",
                "name": "Online"
            },
            "start_date": null,
            "updated_at": "2023-11-29T10:32:42.753-03:00"
        },
        "smart_payment_enabled": false,
        "updated_at": "2023-11-29T10:32:42.765-03:00",
        "url": "https://pague-sandbox.lia.com.br/lia/oferta?offer_id=bdeebdb0-851e-5983-a63e-7b2668f12f50"
    },
    "offers": [
        {
            "amount_cents": 5000,
            "amount_currency": "BRL",
            "availability": "enabled",
            "checkout_type": "default",
            "created_at": "2023-11-29T10:32:42.765-03:00",
            "id": "cb14de31-1d78-5687-b1ca-67e0853bbf21",
            "name": "Apostila do Curso",
            "payment_configurations": [
                {
                    "allowed_down_payment_methods": [],
                    "availability": "enabled",
                    "down_payment_interest_rate": null,
                    "down_payment_type": null,
                    "down_payment_value": 0.0,
                    "expires_in": null,
                    "fee_embedded_in_down_payment": false,
                    "financed_type": null,
                    "id": "1aa90d2f-0ace-5754-b948-d4f5a5141669",
                    "interest_rate": 0.0,
                    "max_down_payment_installments": null,
                    "max_installments": 1,
                    "min_installment_amount_cents": 5000,
                    "payment_methods": ["pix"],
                    "payment_type": "upfront",
                    "registration_fee": 0.0,
                    "take_rate_type": "absolute",
                    "take_rate_value": 0.0
                }
            ],
            "product": {
                "access_period": "lifetime",
                "availability": "enabled",
                "banner_url": null,
                "company_id": "10d95971-868c-517a-9354-8a2b8905fccd",
                "created_at": "2023-11-29T10:32:42.753-03:00",
                "description": "Material de apoio do curso.",
                "duration_in_days": null,
                "duration_in_hours": 0,
                "end_date": null,
                "formatted_access_period": "Vitalício",
                "full_amount_cents": 5000,
                "full_amount_currency": "BRL",
                "google_pixel_code": null,
                "id": "8b0af99b-f556-5a72-a548-ee4cb11bf287",
                "kind": {
                    "id": "47b593d4-68ec-55b1-acd4-6273bfd6d445",
                    "name": "Curso"
                },
                "meta_pixel_code": null,
                "metadata": {},
                "name": "Apostila Produto Exemplo",
                "shift": {
                    "id": "3def779a-1247-532e-ac4b-1cb861ce9ce0",
                    "name": "Online"
                },
                "start_date": null,
                "updated_at": "2023-11-29T10:32:42.753-03:00"
            },
            "smart_payment_enabled": false,
            "updated_at": "2023-11-29T10:32:42.765-03:00",
            "url": "https://pague-sandbox.lia.com.br/lia/oferta?offer_id=cb14de31-1d78-5687-b1ca-67e0853bbf21"
        }
    ],
    "phone": {
        "address": "5511988888888",
        "contact_type": "phone",
        "created_at": "2023-11-29T10:32:42.876-03:00",
        "id": "35552917-6c3d-5c1d-8eb2-632880325aed",
        "purpose": "communication",
        "updated_at": "2024-04-09T08:50:56.806-03:00",
        "validated": false
    },
    "root_billing": null,
    "status": "canceled",
    "translated_cancelation_reason": "Compra expirada",
    "updated_at": "2023-12-12T21:00:50.857-03:00",
    "url": "https://pague-sandbox.lia.com.br/lia/pedido?order_id=2bbf49e3-8405-5193-acfa-fba46dad036b"
}